# List credentials and the topologies that use them

Canonical: https://docs.shumoku.dev/ja/server/next/api/getCredentials
Language: ja
Server documentation version: next
Product version: 0.3.0-beta.2
Channel: development

このドキュメントは開発中のServerを対象としています。

Shumoku Server API · 0.3.0-beta.2 · Credentials

# List credentials and the topologies that use them

[OpenAPIソース](https://github.com/konoe-akitoshi/shumoku/blob/20492b00ee57d7db79ee0ac7f795122308a7c80e/apps/server/api/openapi.json)

APIの説明は英語のOpenAPI canonical sourceを表示しています。

```
GET /api/credentials
```

## 認証

sessionCookie / bearerAuth

## レスポンス

| ステータス | 説明 | スキーマ |
| --- | --- | --- |
| `200` | Credentials | `Credentials` |
| `400` | The request did not match the API contract | `Error` |
| `404` | Credential or topology not found | `Error` |
| `409` | Conflict, e.g. a credential with this name already exists | `Error` |
| `500` | Credential operation failed | `Error` |

[`apps/server/api/openapi.json`](https://github.com/konoe-akitoshi/shumoku/blob/20492b00ee57d7db79ee0ac7f795122308a7c80e/apps/server/api/openapi.json)
